Upload a video
curl --request POST \
--url https://api-prod.nomadicml.com/api/upload-video \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form scope=user \
--form 'folder_id=<string>' \
--form chunk_size=2 \
--form 'video_url=<string>' \
--form 'custom_name=<string>' \
--form file='@example-file' \
--form metadata_file='@example-file'import requests
url = "https://api-prod.nomadicml.com/api/upload-video"
files = {
"file": ("example-file", open("example-file", "rb")),
"metadata_file": ("example-file", open("example-file", "rb"))
}
payload = {
"scope": "user",
"folder_id": "<string>",
"chunk_size": "2",
"video_url": "<string>",
"custom_name": "<string>"
}
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('scope', 'user');
form.append('folder_id', '<string>');
form.append('chunk_size', '2');
form.append('video_url', '<string>');
form.append('custom_name', '<string>');
form.append('file', '<string>');
form.append('metadata_file', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api-prod.nomadicml.com/api/upload-video', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"video_id": "<string>",
"status": "<string>",
"visual_analysis": {}
}{
"detail": "<string>",
"message": "<string>",
"error": "<string>"
}{
"detail": "<string>",
"message": "<string>",
"error": "<string>"
}{
"detail": "<string>",
"message": "<string>",
"error": "<string>"
}{
"detail": "<string>",
"message": "<string>",
"error": "<string>"
}{
"detail": "<string>",
"message": "<string>",
"error": "<string>"
}{
"detail": "<string>",
"message": "<string>",
"error": "<string>"
}Uploads
Upload a video
Upload a local video file or register a remote video URL for asynchronous processing.
POST
/
api
/
upload-video
Upload a video
Authorizations
bearerAuthapiKeyAuth
Use Authorization: Bearer <NOMADIC_API_KEY>.
Body
multipart/form-data
Was this page helpful?
⌘I